<?php
/**
*  2021 - Contabilium.com
*
*  @author    Federico Ferreri <federico@ferreri.com.ar>
*  @copyright Contabilium S.A.
*/

include_once(dirname(__FILE__) . '/../../config/config.inc.php');
include_once(dirname(__FILE__) . '/../../init.php');

if (Tools::getValue('token', false) && Configuration::get('CONTABILIUM_CALLBACK_TOKEN') == Tools::getValue('token', false) && Configuration::get('CONTABILIUM_LIVE_MODE')) {
    header('Content-Type: application/csv;charset=UTF-8');
    header('Content-Disposition: attachment; filename=' . date('Y-m-d_H:i:s') . '-movimientos.csv');
    header('Pragma: no-cache');

    $sql = ' SELECT l.*, coalesce(p.reference, \'--\') AS `product_reference`, coalesce(pa.reference, \'--\') AS `attribute_reference` '
          .' FROM '._DB_PREFIX_.'contabilium_prod_update_log l '
          .'  LEFT JOIN '._DB_PREFIX_.'product p ON p.id_product = l.id_product'
        //   .'  LEFT JOIN '._DB_PREFIX_.'product_lang pl ON pl.id_product = l.id_product AND pl.id_lang = ' . Context::getContext()->language->id
          .'  LEFT JOIN '._DB_PREFIX_.'product_attribute pa ON pa.id_product = l.id_product AND pa.id_product_attribute = l.id_product_attribute '
          .' ORDER BY l.date_add DESC LIMIT 10000';

    $fp = fopen('php://output', 'w');
    fputcsv($fp, array('SKU', 'COMBINACION', 'FECHA', 'PRECIO', 'STOCK', 'PRECIO ANTERIOR', 'STOCK ANTERIOR'));
    if ($results = Db::getInstance()->ExecuteS($sql)) {
        foreach ($results as $row) {
            fputcsv($fp, array(
                $row['product_reference'],
                $row['attribute_reference'],
                $row['date_add'],
                number_format($row['price_new'], 2, '.', ''),
                (is_numeric($row['quantity_new'])) ? $row['quantity_new'] : '--',
                number_format($row['price_old'], 2, '.', ''),
                (is_numeric($row['quantity_old'])) ? $row['quantity_old'] : '--',
            ));
        }
    }

    exit();
}

header('HTTP/1.0 404 not found');
die('ERROR-C001');
