<?php
/**
*  2020 - Contabilium.com
*
*  @author    Federico Ferreri <federico@ferreri.com.ar>
*  @copyright Contabilium S.A.
*/

error_reporting(0);
ini_set('display_errors', 0);

include_once(dirname(__FILE__) . '/../../config/config.inc.php');
include_once(dirname(__FILE__) . '/lib/Connector.php');

if (Tools::getValue('token', false)  && Tools::getValue('codigo', false)
    && Configuration::get('CONTABILIUM_CALLBACK_TOKEN') == Tools::getValue('token', false) && Configuration::get('CONTABILIUM_LIVE_MODE')) {
    $contabilium = new Connector(Configuration::get('CONTABILIUM_USERNAME'), Configuration::get('CONTABILIUM_API_KEY'), Configuration::get('CONTABILIUM_COUNTRY_CODE'));

    if (is_object($contabilium)) {
        $contabilium->triggerSync(Tools::getValue('codigo'));

        if ($contabilium->hasError()) {
            $contabilium->logToFile(sprintf("RINGING... %s --> ERROR: \n", $_SERVER['QUERY_STRING'], $contabilium->getLastError()));
            print('ERROR-C003');
        } else {
            $contabilium->logToFile(sprintf("RINGING... %s --> OK: %d products updated\n", $_SERVER['QUERY_STRING'], $contabilium->getUpdatedProducts(true)));
            print "OK";
        }

        exit(0);
    } else {
        die('ERROR-C002');
    }
}

header('HTTP/1.0 404 not found');
die('ERROR-C001');
